
    function MainCatch() {
        var idPly = charIDToTypeID("Ply ")
        var desc8 = new ActionDescriptor()
        var idnull = charIDToTypeID("null")
        var ref6 = new ActionReference()
        var idActn = charIDToTypeID("Actn")
        ref6.putName(idActn, "C2")
        var idASet = charIDToTypeID("ASet")
        ref6.putName(idASet, "7 Custom Buttons")
        desc8.putReference(idnull, ref6)
        executeAction(idPly, desc8, DialogModes.NO)
    }
    if (app) {
        try {
            MainCatch()
        } catch (e) {
            alert("注意：尚未安装“自定义按钮”。\ r \ r1。 请安装一组“自定义按钮”操作。\ r \ r2。 在Photoshop中添加一组操作“自定义按钮”后，该信息将不再显示。 \ r \ r3。 阅读下一个信息，您将如何做到这一点。")

    function MainCatch() {
        function Action10() {
            function step1(enabled, withDialog) {
                if ((enabled != undefined) && !(enabled)) {
                    return;
                }
                var dialogMode = withDialog ? (DialogModes.ALL) : (DialogModes.NO)
                var desc1 = new ActionDescriptor()
               desc1.putString(PSKey.Message, "第七面板的描述：\ r \ r1。如果要使用“自定义按钮”，则按“继续”按钮设置下载操作。\ r \ r2。下载后，请在Adobe Photoshop中安装它们（双击或通过加载\ r \ r“动作”窗口中的“菜单”）\ r \ r3。您可以阅读或查看第23页的PDF Ultimate Retouch Guide中的如何使用“自定义按钮”的教程。\ r \ r4。您可以阅读Ultimate Retouch Guide和视频教程指南，方法是在此块中按相应的\ r \ r按钮（需要互联网连接），但它们可以在Photoshop CC 2014及更高版本中使用。\ r \ r5。如果有，可以单击“继续”来下载它们您想以离线模式（没有Internet连接）阅读Adobe Photoshop CC或\ r \ r。\ r \ r6。复制链接并粘贴到您的Internet浏览器中。\ r \ r7。然后将存档解压缩到任何文件夹中。您可以找到在归档文件中，包含以下文件：\ r \ r-与“自定义按钮”一起使用的操作集\ r \ r- PDF Ultimate Retouch Guide \ r \ r- PDF视频教程指南\ r \ r- 修饰过程的可视化图。 JPG和TXT（用于翻译您的母语）版本\ r \ r- 修饰功能键列表\ r \ rP.S：如果您无法下载zip存档，请给我发送电子邮件至7wildwinder7@gmail.com。 \ r \ r收到您的邮件后，我会通过您的电子邮件将存档文件发送给您。")
                desc1.putBoolean(PSKey.Continue, true)
                executeAction(PSEvent.Stop, desc1, dialogMode)
            }
            step1(true, true)
        }
        cTID = function(s) {
            return app.charIDToTypeID(s);
        }
        sTID = function(s) {
            return app.stringIDToTypeID(s);
        }
        Action10.loadSymbols = function() {
            var dbgLevel = $.level
            $.level = 0
            try {
                PSConstants
                return;
            } catch (e) {

            } finally {
                $.level = dbgLevel
            }
            var needDefs = true
            $.level = 0
            try {
                PSClass
                needDefs = false
            } catch (e) {

            } finally {
                $.level = dbgLevel
            }
            if (needDefs) {
                PSClass = function() {

                }
                PSEnum = function() {

                }
                PSEvent = function() {

                }
                PSForm = function() {

                }
                PSKey = function() {

                }
                PSType = function() {

                }
                PSUnit = function() {

                }
                PSString = function() {

                }
            }
            PSEvent.Stop = cTID("Stop")
            PSKey.Continue = cTID("Cntn")
            PSKey.Message = cTID("Msge")
        }
        Action10.loadSymbols()
        Action10.main = function() {
            Action10()
        }
        Action10.main()
         var iE = prompt("请从此链接下载包含文件的zip存档。 复制链接并粘贴到您的Internet浏览器。", "https://goo.gl/05tdeq")
    }
    if (app) {
        try {
            MainCatch()
        } catch (e) {

        }
    }

        }
    }